{*file puq_customization/extensions/CurrencyExchange/templates/exchange_settings.tpl*}

<form id="CurrencyExchangeForm" name="CurrencyExchange" method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=currency_exchange&action=exchange_settings">

    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>
            <!-- Api link -->
            <tr>
                <td class="fieldlabel">{$lang['API link']}</td>
                <td class="fieldarea">
                    <input type="text" class="form-control select-inline" name="api_link" value="{$config['api_link']}" size="100">
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Add percentage to rates']}</td>
                <td class="fieldarea">
                    <input class="form-control select-inline" type="number" min="0" max="100" step="0.01" value="{$config['add_percentage']}" name="add_percentage"> %
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Update exchange rates now']}</td>
                <td class="fieldarea">
                    <select name="save_now" class="form-control select-inline">
                        <option value="yes" {if $config['save_now'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['save_now'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Update exchange rates with Daily CRON']}</td>
                <td class="fieldarea">
                    <select name="save_daily_cron" class="form-control select-inline">
                        <option value="yes" {if $config['save_daily_cron'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['save_daily_cron'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Type of exchange rate']}</td>
                <td class="fieldarea">
                    <select name="type_rate" class="form-control select-inline">
                        <option value="rate" {if $config['type_rate'] eq "rate"}selected {/if}>{$lang['Exchange rate from API']}</option>
                        <option value="receive_rate" {if $config['type_rate'] eq "receive_rate"}selected {/if}>{$lang['Reverse exchange rate']}</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Now in database']}</td>
                <td class="fieldarea">
                    <table class="datatable table table-themed display data-driven filterable dataTable no-footer" cellspacing="1" cellpadding="3" border="0">
                        <tbody>
                        <tr>
                            <th>Currency code</th>
                            <th>Rate</th>
                        </tr>
                        <tr>
                            {foreach from=$currencies_from_database item=currency}
                            <tr>
                                <td>{$currency.code}</td>
                                <td>{$currency.rate}</td>
                            </tr>
                            {/foreach}
                        </tr>
                        </tbody>
                    </table>
                </td>
            </tr>



            <tr>
                <td class="fieldlabel">{$lang['Now in API']}</td>
                <td class="fieldarea">
                    <table class="datatable table table-themed display data-driven filterable dataTable no-footer" cellspacing="1" cellpadding="3" border="0">
                        <tbody>
                        <tr>
                            <th>Currency code</th>
                            <th>Rate</th>
                            <th>Receive rate</th>
                        </tr>
                        <tr>
                            {foreach from=$matchingCurrencies item=currency}
                            <tr>
                                <td>{$currency.code}</td>
                                <td>{$currency.rate}</td>
                                <td>{$currency.receive_rate}</td>
                            </tr>
                            {/foreach}
                        </tbody>
                    </table>
                </td>
            </tr>

        </tr>


            </tbody>
        </table>
    </div>
    <!-- Submit Button -->
    <div class="btn-container">
        <button type="submit" name="submit" value="submit" class="btn btn-primary">{$lang['Save Changes']}</button>
    </div>
</form>
