{if $page['page'] eq ''}
    {$page['page'] = '[]'}
{/if}
<textarea name="page" id="output_input" style="display: none;"></textarea>

{literal}
    <style>
        .ce-block{
            border: 1px solid #ccc;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
            padding: 5px;
            margin: 10px 0 10px 0;
        }
        .ce-block--focused{
            border-radius: 6px;
            border: 1px solid #ccca;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.9);
        }
        .ce-block__content{
            max-width: 1024px;
        }
        .ce-toolbar__content{
            max-width: 1024px;
        }
        .codex-editor__redactor{
            border-radius: 2px;
            border: 4px solid #ccc;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
            padding: 20px;
        }
        .ce-popover--opened{
            width: 300px;
            max-height: 100vh;
        }
        .ce-popover__item[data-item-name="paragraph"] {
            display: none;
        }

    </style>
{/literal}

{if $page.page|html_entity_decode|json_decode !== null}
    {assign "pageJson" $page.page|html_entity_decode|json_decode}
{else}
    {assign "pageJson" []}
{/if}
<script>
    const productgroupsJson = '{$productgroups_json}';
    const productsJson = '{$products_json}';
    const widgetsTemplatesJson = '{$widgets_templates_json}';
    const pageJson = {$pageJson|json_encode};
</script>

    <div id="editor-container"></div>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQPageBackground.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQPromoSlider.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQSeparator.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQDomainTLD.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQDomainSearch.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQIntelligentDomainSearch.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQTinyMCE.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQSliderLogos.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQTeamSlide.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQProductCards.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQQuestionAnswer.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/PUQMiniMenu.js"></script>

    <script type="text/javascript" src="{$before_path}/assets/js/tinymce/tinymce.min.js"></script>
    <script src="{$before_path}/modules/addons/puq_customization/extensions/PagesManager/templates/js/editor.js"></script>

    <script>
{literal}
        var editor = new EditorJS({
            readOnly: false,
            holder: 'editor-container',
            inlineToolbar: true,
            autofocus: true,

            tools: {
                puqpagebackground:{
                    class: PUQPageBackground,
                    inlineToolbar: true,
                },
                puqpromoslider:{
                    class: PUQPromoSlider,
                    inlineToolbar: true,
                },
                puqtinymce:{
                    class: PUQTinyMCE,
                    inlineToolbar: true,
                },

                puqseparator:{
                    class: PUQSeparator,
                    inlineToolbar: true,
                },

                puqdomainsearch:{
                    class: PUQDomainSearch,
                    inlineToolbar: true,
                },

                puqintelligentdomainsearch:{
                    class: PUQIntelligentDomainSearch,
                    inlineToolbar: true,
                },

                puqdomaintld:{
                    class: PUQDomainTLD,
                    inlineToolbar: true,
                },

                puqsliderlogos:{
                    class: PUQSliderLogos,
                    inlineToolbar: true,
                },
                puqproductcards:{
                    class: PUQProductCards,
                    inlineToolbar: true,
                },
                puqteamslide:{
                    class: PUQTeamSlide,
                    inlineToolbar: true,
                },
                puqquestionanswer:{
                    class: PUQQuestionAnswer,
                    inlineToolbar: true,
                },
                puqminimenu:{
                    class: PUQMiniMenu,
                    inlineToolbar: true,
                },
            },
            data: {
                "blocks": pageJson.blocks
            },
        });

        const saveButton = document.getElementById('saveButton');

        saveButton.addEventListener('click', function () {
            editor.save().then((savedData) => {
                output = JSON.stringify(savedData);
                const outputInput = document.getElementById("output_input");
                outputInput.innerHTML = output;
            });
        });

{/literal}
    </script>
