<style>
    .{$name}-{$id} {
    {if $data['margin_top'] neq ''}
        padding-top: {$data['margin_top']};
    {else}
        padding-top: 0;
    {/if}
        padding-left: 0;
        padding-right: 0;
    }

    .{$name}-{$id} .{$name}-{$id}-container {
                       position: relative;
                       z-index: 2;
                       display: inline-block;
                       width: 100%;
                       text-align: center;
                   {if $data['width'] neq ''}
                       max-width: {$data['width']};
                   {/if}
                   }
    .{$name}-{$id} .{$name}-{$id}-container-products {
                       position: relative;
                       z-index: 2;
                       display: flex;
                       flex-wrap: wrap;
                       justify-content: center;
                       align-items: flex-start;
                       padding-left: 5px;
                       padding-right: 5px;
                   {if $data['width'] neq ''}
                       width: {$data['width']};
                   {else}
                       width: 100%;
                   {/if}
                   }

    .{$name}-{$id} .{$name}-{$id}-header-background {
                       z-index: 0;
                       position: absolute;
                       left: 0;
                       right: 0;
                       width: 100%;
                       padding-bottom: 100px;
                       box-sizing: border-box;
                       text-align: center;
                       background: {$data['header_background_color']};
                   {if $data['header_background_img'] neq ''}
                       background-image: url("{$data['header_background_img']}");
                       background-size: cover;
                       background-repeat: no-repeat;
                   {if $data['header_background_fix']}
                       background-attachment: fixed;
                   {/if}
                   {/if}
                   {if !$data['disable_background_radius_top']}
                       border-top-left-radius: 10px;
                       border-top-right-radius: 10px;
                   {/if}
                   }

    .{$name}-{$id} .{$name}-{$id}-header-cover {
                       z-index: -1;
                       background: rgba(0, 0, 0, 0.5);
                       position: absolute;
                       top: 0;
                       bottom: 0;
                       right: 0;
                       width: 100%;
                       height: 100%;
                   {if !$data['disable_background_radius_top']}
                       border-top-left-radius: 10px;
                       border-top-right-radius: 10px;
                   {/if}
                   }

    .{$name}-{$id} .{$name}-{$id}-header {
                       z-index: -20;
                       text-align: center;
                   }

    .{$name}-{$id} .{$name}-{$id}-header-background h2,
                   .{$name}-{$id} .{$name}-{$id}-header h2{
                                      font-size: 2rem;
                                      font-weight: bold;
                                      text-transform: uppercase;
                                      color: {$data['header_text_color']};
                                      padding-top: 50px;
                                      padding-bottom: 20px;


                                  }

    .{$name}-{$id} .{$name}-{$id}-header-background h3, .{$name}-{$id} .{$name}-{$id}-header h3{
                                                                           padding-bottom: 50px;
                                                                           font-size: 1rem;
                                                                           color: {$data['header_description_color']};
                                                                       }

    .{$name}-{$id} .{$name}-{$id}-product {
                       position: relative;
                       width: 300px;
                       margin-top: 30px;
                       margin-bottom: 30px;
                       margin-right: 15px;
                       margin-left: 15px;
                       background-color: {$data['color_6']};
                       border-radius: 5px;
                       box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.2);
                       border: 3px solid {$data['color_7']};
                   }

    .{$name}-{$id} .{$name}-{$id}-product:hover .{$name}-{$id}-product-header img {
                       transform: scale(1.3) translate(55%, 0);
                   }

    .{$name}-{$id} .{$name}-{$id}-product-details {
                       padding: 5px;
                       text-align: center;
                   }

    .{$name}-{$id} .{$name}-{$id}-product-header {
                       min-height: 100px;
                       border-radius: 5px;
                       position: relative;
                       overflow: hidden;
                       padding-top: 20px;
                       padding-left: 20px;
                       padding-right: 20px;
                   }

    .{$name}-{$id} .{$name}-{$id}-product-header img {
                       z-index: 0;
                       position: absolute;
                       top: 0;
                       left: 0;
                       transform: translate(-20%, -20%);
                       height: 100%;
                       transition: transform 0.5s ease-in-out;
                   }

    .{$name}-{$id} .{$name}-{$id}-product-name {
                       z-index: 1;
                       position: relative;
                       display: flex;
                       justify-content: center;
                       align-items: center;
                       background-color: rgba(255, 255, 255, 0.5);
                       backdrop-filter: blur(5px);
                       border-radius: 10px;
                       text-align: center;
                       font-size: 1.5rem;
                       font-weight: 1000;
                       color: {$data['color_1']};
                       transition: background-color 0.5s, backdrop-filter 0.5s;
                   }

    .{$name}-{$id} .{$name}-{$id}-product-group-name {
                       z-index: 1;

                       display: block;
                        text-align: right;
                        font-size: 1rem;
                        font-weight: bold;
                        color: {$data['color_2']};
                        position: relative;
                   }

    .{$name}-{$id} .{$name}-{$id}-product-price .{$name}-{$id}-product-price-price {
                       padding-right: 20px;
                       padding-left: 20px;
                       position: relative;
                       font-size: 2.3rem;
                       font-weight: 999;
                       line-height: 1;
                       z-index: 10;
                       color: {$data['color_3']};
                   }

    .{$name}-{$id} .{$name}-{$id}-product-price .{$name}-{$id}-product-price-cycle {
                       padding-right: 10px;
                       padding-left: 10px;
                       position: relative;
                       font-size: 1rem;
                       line-height: 1;
                       z-index: 10;
                       color: {$data['color_4']};
                   }

    .{$name}-{$id} .{$name}-{$id}-product-description {
                       margin-top: 5px;
                       font-size: 16px;
                       text-align: left;
                       color: {$data['color_5']};
                       padding: 10px;
                       box-sizing: border-box;
                       border-top: 1px solid {$data['color_7']};
                       border-radius: 0 0 50% 50%;
                   }

    .{$name}-{$id} .{$name}-{$id}-product-order{
                       margin-top: 5px;
                       font-size: 16px;
                       text-align: center;
                       padding: 10px;
                       box-sizing: border-box;
                   }

    .{$name}-{$id} .{$name}-{$id}-product-order-button{
                       width: 100%;
                       display: block;
                       text-decoration: none;
                       padding: 10px 10px;
                       font-size: 16px;
                       font-weight: bold;
                       cursor: pointer;
                       transition: all 0.2s ease-in-out;
                       border-radius: 5px;
                       background-color: {$data['order_now_button_color']};
                       color: {$data['order_now_button_text_color']};
                       border: 1.5px solid {$data['order_now_button_text_color']};
                   }

    .{$name}-{$id} .{$name}-{$id}-product-order-button:hover{
                       background-color: {$data['order_now_button_text_color']};
                       color: {$data['order_now_button_color']};
                       border: 1.5px solid {$data['order_now_button_color']};
                   }

    .{$name}-{$id} .{$name}-{$id}-label {
                       pointer-events: none;
                       display: flex;
                       white-space: nowrap;
                       z-index: 1;
                       position: absolute;
                       font-size: 20px;
                       font-weight: bold;
                       left: 5px;
                       top: -28px;
                       text-align: right;
                       padding: 1px 2px;
                       transform: perspective(200px) rotateX(6deg) rotateY(15deg);
                       transition: left 0.5s ease;
                   }
    .{$name}-{$id} .{$name}-{$id}-label-hot {
                       background-color: {$data['hot_color']};
                       color: {$data['hot_text_color']};
                   }
    .{$name}-{$id} .{$name}-{$id}-label-new {
                       background-color: {$data['new_color']};
                       color: {$data['new_text_color']};
                   }
    .{$name}-{$id} .{$name}-{$id}-label-sale {
                       background-color: {$data['sale_color']};
                       color: {$data['sale_text_color']};
                   }
    .{$name}-{$id} .{$name}-{$id}-product-sale:hover .{$name}-{$id}-product-description{
                       border-top: 1px solid {$data['sale_color']};
                       transition: border-color 0.5s ease;
                   }
    .{$name}-{$id} .{$name}-{$id}-product-hot:hover{
                       border: 3px solid {$data['hot_color']};
                       transition: border-color 0.5s ease;
                   }
    .{$name}-{$id} .{$name}-{$id}-product-hot:hover .{$name}-{$id}-product-description{
                       border-top: 1px solid {$data['hot_color']};
                       transition: border-color 0.5s ease;
                   }
    .{$name}-{$id} .{$name}-{$id}-product-hot:hover .{$name}-{$id}-label{
                       left: 50%;
                       transition: left 0.5s ease;
                   }
    .{$name}-{$id} .{$name}-{$id}-product-new:hover{
                       border: 3px solid {$data['new_color']};
                       transition: border-color 0.5s ease;
                   }
    .{$name}-{$id} .{$name}-{$id}-product-new:hover .{$name}-{$id}-product-description{
                       border-top: 1px solid {$data['new_color']};
                       transition: border-color 0.5s ease;
                   }
    .{$name}-{$id} .{$name}-{$id}-product-new:hover .{$name}-{$id}-label{
                       left: 50%;
                       transition: left 0.5s ease;
                   }
    .{$name}-{$id} .{$name}-{$id}-product-sale:hover{
                       border: 3px solid {$data['sale_color']};
                       transition: border-color 0.5s ease;
                   }
    .{$name}-{$id} .{$name}-{$id}-product-sale:hover .{$name}-{$id}-product-description{
                       border-top: 1px solid {$data['sale_color']};
                       transition: border-color 0.5s ease;
                   }
    .{$name}-{$id} .{$name}-{$id}-product-sale:hover .{$name}-{$id}-label{
                       left: 50%;
                       transition: left 0.5s ease;
                   }

    .{$name}-{$id} .{$name}-{$id}-product:hover .{$name}-{$id}-product-name {
                       background-color: rgba(255, 255, 255, 0);
                       backdrop-filter: blur(4px);
                   }

</style>

<div class="{$name}-{$id}">
    {if $data['background_image']}
        <div class="{$name}-{$id}-cover"></div>
    {/if}
    {if !$data['disable_header']}
        <div class="{$name}-{$id}-header-background">
            <h2>{$data['header_text']}</h2>
            <h3>{$data['header_description']}</h3>
            {if $data['header_background_img']}
                {if $data['header_background_darken']}
                    <div class="{$name}-{$id}-header-cover"></div>
                {/if}
            {/if}
        </div>

        <div class="{$name}-{$id}-header">
            <h2>{$data['header_text']}</h2>
            <h3>{$data['header_description']}</h3>
        </div>
    {/if}

    <div class="{$name}-{$id}-container">
        <div class="{$name}-{$id}-container-products">
            {foreach $data['products'] as $product}
                <div class="{$name}-{$id}-product  {$name}-{$id}-product-{$product['product_label']}">
                    {if $product['product_label']}
                        <span class="{$name}-{$id}-label {$name}-{$id}-label-{$product['product_label']}">{$data.{$temp|cat:$product['product_label']|cat:"_label"}}</span>
                    {/if}
                    <div class="{$name}-{$id}-product-header">
                        {if $product['product_img'] neq ""}
                            <img alt="{$product['product_name']}" src="{$product['product_img']}">
                        {/if}
                        <span class="{$name}-{$id}-product-group-name">{$product['product_group_name']}</span>
                        <span class="{$name}-{$id}-product-name">{$product['product_name']}</span>
                    </div>

                    <div class="{$name}-{$id}-product-price">
                        <span class="{$name}-{$id}-product-price-price">{$product['product_price']['amount_string']}</span>
                        <br>
                        {if !$product['product_price_free']}
                            <span class="{$name}-{$id}-product-price-cycle">{$product['product_price']['cycle']}</span>
                        {else}
                            <span class="{$name}-{$id}-product-price-cycle"> </span>

                        {/if}
                    </div>

                    <div class="{$name}-{$id}-product-order">
                        <a class="{$name}-{$id}-product-order-button" href="{$product['product_order_url']}">{$data['order_now_button_name']}</a>
                    </div>
                    <div class="{$name}-{$id}-product-description">
                        {$product['product_description']}
                    </div>
                </div>
            {/foreach}
        </div>
    </div>
</div>