
<form method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=pages_manager&action=configuration">
    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>

            <tr>
                <td class="fieldlabel">{$lang['Enabled']}</td>
                <td class="fieldarea">
                    <select name="enabled" class="form-control select-inline">
                        <option value="yes" {if $config['enabled'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['enabled'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$lang['Enable or disable all custom functions']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Rewrite home page']}</td>
                <td class="fieldarea">
                    <select name="rewrite_home_page" class="form-control select-inline">
                        <option value="yes" {if $config['rewrite_home_page'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['rewrite_home_page'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$lang['If you need to rewrite the home page to a pre-prepared custom one.']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Custom page for homepage']}</td>
                <td class="fieldarea">
                    <select name="rewrite_home_page_id" class="form-control select-inline">
                        {foreach from=$page_list key=i item=page}
                        <option value="{$page['id']}" {if $page['id'] eq $config['rewrite_home_page_id']}selected {/if}>{$page['name']}</option>
                        {/foreach}
                    </select>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Rewrite footer']}</td>
                <td class="fieldarea">
                    <select name="rewrite_footer" class="form-control select-inline">
                        <option value="yes" {if $config['rewrite_footer'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['rewrite_footer'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$lang['If you need to rewrite the footer to a pre-prepared custom one.']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Custom page for footer']}</td>
                <td class="fieldarea">
                    <select name="rewrite_footer_page_id" class="form-control select-inline">
                        {foreach from=$page_list key=i item=page}
                            <option value="{$page['id']}" {if $page['id'] eq $config['rewrite_footer_page_id']}selected {/if}>{$page['name']}</option>
                        {/foreach}
                    </select>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Rewrite Domain Register']}</td>
                <td class="fieldarea">
                    <select name="rewrite_domain_register" class="form-control select-inline">
                        <option value="yes" {if $config['rewrite_domain_register'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['rewrite_domain_register'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$lang['If you need to rewrite the domain register page to a pre-prepared custom one.']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Custom page for Domain Register']}</td>
                <td class="fieldarea">
                    <select name="rewrite_domain_register_page_id" class="form-control select-inline">
                        {foreach from=$page_list key=i item=page}
                            <option value="{$page['id']}" {if $page['id'] eq $config['rewrite_domain_register_page_id']}selected {/if}>{$page['name']}</option>
                        {/foreach}
                    </select>
                </td>
            </tr>

            </tbody>
        </table>
    </div>
    <div class="btn-container">
            <button type="submit" name="submit" value="submit" class="btn btn-primary"> {$lang['Save Changes']}</button>
    </div>
</form>